{ mkDerivation, Diff, aeson, attoparsec, base, bytestring
, case-insensitive, containers, data-default, directory, file-embed
, filepath, lib, mtl, pandoc-types, pretty, safe, scientific, text
, timeit, transformers, unicode-collation, uniplate, vector
, xml-conduit
}:
mkDerivation {
  pname = "citeproc";
  version = "0.8.1";
  sha256 = "33523bbd8c38f72c6d606e02d11b93254171f801be4f2a0cb4d34d6626426400";
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    aeson attoparsec base bytestring case-insensitive containers
    data-default file-embed filepath pandoc-types safe scientific text
    transformers unicode-collation uniplate vector xml-conduit
  ];
  testHaskellDepends = [
    aeson base bytestring containers Diff directory filepath mtl pretty
    text timeit transformers
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Generates citations and bibliography from CSL styles";
  license = lib.licenses.bsd2;
  broken = false;
}