{ mkDerivation, attoparsec, base, bytestring, containers, fail
, fetchgit, lib, mtl, tasty, tasty-hunit, tasty-quickcheck
, template-haskell, transformers, unordered-containers
}:
mkDerivation {
  pname = "llvm-hs-pure";
  version = "15.0.0";
  src = fetchgit {
    url = "https://github.com/llvm-hs/llvm-hs";
    sha256 = "00jqisfaf0dq6zckp6xh3cg92yx32dbzx7p1x7dc8sa870iy7rgf";
    rev = "5bca2c1a2a3aa98ecfb19181e7a5ebbf3e212b76";
    fetchSubmodules = true;
  };
  postUnpack = "sourceRoot+=/llvm-hs-pure/; echo source root reset to $sourceRoot";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    attoparsec base bytestring containers fail mtl template-haskell
    transformers unordered-containers
  ];
  testHaskellDepends = [
    base containers mtl tasty tasty-hunit tasty-quickcheck transformers
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "http://github.com/llvm-hs/llvm-hs/";
  description = "Pure Haskell LLVM functionality (no FFI)";
  license = lib.licenses.bsd3;
  broken = false;
}