{ mkDerivation, Cabal, QuickCheck, array, attoparsec, base
, bytestring, containers, directory, exceptions, fetchgit, lib
, llvm-hs-pure, mtl, pretty-show, process, tasty, tasty-hunit
, tasty-quickcheck, template-haskell, temporary, transformers
, utf8-string
}:
mkDerivation {
  pname = "llvm-hs";
  version = "15.0.0";
  src = fetchgit {
    url = "https://github.com/llvm-hs/llvm-hs";
    sha256 = "00jqisfaf0dq6zckp6xh3cg92yx32dbzx7p1x7dc8sa870iy7rgf";
    rev = "5bca2c1a2a3aa98ecfb19181e7a5ebbf3e212b76";
    fetchSubmodules = true;
  };
  postUnpack = "sourceRoot+=/llvm-hs/; echo source root reset to $sourceRoot";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  setupHaskellDepends = [ base Cabal containers ];
  libraryHaskellDepends = [
    array attoparsec base bytestring containers exceptions llvm-hs-pure
    mtl template-haskell transformers utf8-string
  ];
  testHaskellDepends = [
    base bytestring containers directory llvm-hs-pure mtl pretty-show
    process QuickCheck tasty tasty-hunit tasty-quickcheck temporary
    transformers
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "http://github.com/llvm-hs/llvm-hs/";
  description = "General purpose LLVM bindings";
  license = lib.licenses.bsd3;
  broken = false;
}